Eclipse Platform Release 3.7

## org.eclipse.core.commands
Class ExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.commands.common.CommandException
                  org.eclipse.core.commands.ExecutionException

All Implemented Interfaces:
  Serializable

    public final class ExecutionException

extends CommandException

Signals that an exception occured during the execution of a command.

This class is not intended to be extended by clients.

Since:
  3.1
See Also:
  Serialized Form

Constructor Summary
`ExecutionException(String message)` Creates a new instance of this class with the specified detail message.
`ExecutionException(String message, Throwable cause)` Creates a new instance of this class with the specified detail message and cause.

Method Summary

Methods inherited from class org.eclipse.core.commands.common.CommandException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionException

    public ExecutionException(String message)

  Creates a new instance of this class with the specified detail message.

  Parameters:
    `message` - the detail message; may be `null`.
  Since:
    3.2

### ExecutionException

    public ExecutionException(String message,
                              Throwable cause)

  Creates a new instance of this class with the specified detail message and cause.

  Parameters:
    `message` - the detail message; may be `null`.
    `cause` - the cause; may be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.